Bug 989049 - [abrt] deluge-gtk-1.3.6-3.fc19: addtorrentdialog.py:481:set_default_options:KeyError: 'download_location'
[abrt] deluge-gtk-1.3.6-3.fc19: addtorrentdialog.py:481:set_default_options:K...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Cronenworth
Fedora Extras Quality Assurance
abrt_hash:c72de189d537b8e652db7dfdeff...
:
: 991230 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-27 02:21 EDT by smanocch
Modified: 2015-02-26 14:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-26 14:55:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (725 bytes, text/plain)
2013-07-27 02:21 EDT, smanocch
no flags Details
File: core_backtrace (417 bytes, text/plain)
2013-07-27 02:21 EDT, smanocch
no flags Details
File: environ (2.86 KB, text/plain)
2013-07-27 02:21 EDT, smanocch
no flags Details

  None (edit)
Description smanocch 2013-07-27 02:21:10 EDT
Description of problem:
adding duplicated torrent

Version-Release number of selected component:
deluge-gtk-1.3.6-3.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        deluge-gtk '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
executable:     /usr/bin/deluge-gtk
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
addtorrentdialog.py:481:set_default_options:KeyError: 'download_location'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 302, in _on_torrent_changed
    self.update_torrent_options(model.get_value(row, 0))
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 372, in update_torrent_options
    self.set_default_options()
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 481, in set_default_options
    self.core_config["download_location"])
KeyError: 'download_location'

Local variables in innermost frame:
self: <deluge.ui.gtkui.addtorrentdialog.AddTorrentDialog object at 0x35c94d0>
Comment 1 smanocch 2013-07-27 02:21:14 EDT
Created attachment 778979 [details]
File: backtrace
Comment 2 smanocch 2013-07-27 02:21:17 EDT
Created attachment 778980 [details]
File: core_backtrace
Comment 3 smanocch 2013-07-27 02:21:20 EDT
Created attachment 778981 [details]
File: environ
Comment 4 Calum 2013-11-21 18:38:49 EST
*** Bug 991230 has been marked as a duplicate of this bug. ***
Comment 5 Jon Dufresne 2014-03-03 22:35:40 EST
This bug occurred for me in F20. Bumping version.
Comment 6 Jon Dufresne 2014-03-05 20:37:07 EST
I believe this is the upstream bug: http://dev.deluge-torrent.org/ticket/2221

This ticket has been reported (and closed) before in fedora. See Bug 845328.
Comment 7 Fedora Admin XMLRPC Client 2015-02-26 14:46:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Michael Cronenworth 2015-02-26 14:55:10 EST
Upstream has closed this and we've had several version updates. Please re-open if it isn't fixed.

Note You need to log in before you can comment on or make changes to this bug.